Skip to main content
`Ctrl`+`K`

# PetscDSGetExactSolution

Get the pointwise exact solution function for a given test field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetExactSolution(PetscDS prob, PetscInt f, PetscPointExactSolutionFn **sol, void **ctx)

Not Collective

## Input Parameters

- prob - The `PetscDS`

- f - The test field number

## Output Parameters

- sol - exact solution function for the test field, see `PetscPointExactSolutionFn`

- ctx - exact solution context

## See Also

`PetscDS`, `PetscPointExactSolutionFn`, `PetscDSSetExactSolution()`, `PetscDSGetExactSolutionTimeDerivative()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

## Examples

src/snes/tutorials/ex27.c
src/tao/tutorials/ex2.c
src/snes/tutorials/ex71.c
src/ts/tutorials/ex46.c
src/snes/tutorials/ex76.c
src/ts/tutorials/ex47.c
src/ts/tutorials/ex53.c
src/snes/tutorials/ex13.c
src/tao/tutorials/ex1.c
src/snes/tutorials/ex69.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages